<?php
namespace MageWorx\OptionInventory\Block\Inventory;

/**
 * Interceptor class for @see \MageWorx\OptionInventory\Block\Inventory
 */
class Interceptor extends \MageWorx\OptionInventory\Block\Inventory implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Serialize\Serializer\Json $serializer, \MageWorx\OptionInventory\Helper\Data $helperInventory, \MageWorx\OptionInventory\Helper\Stock $helperStock, \MageWorx\OptionBase\Helper\Data $baseHelper, \Magento\Framework\Registry $registry, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $serializer, $helperInventory, $helperStock, $baseHelper, $registry, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
